regex File Reference
Technical Specifications » Library Fundamentals TS

Go to the source code of this file.

## Namespaces

namespace | std
namespace | std::experimental

## Typedefs

typedef match_results< const char * > | std::experimental::fundamentals_v2::pmr::cmatch
template<typename _BidirectionalIterator>
using | std::experimental::fundamentals_v2::pmr::match_results
typedef match_results< string::const_iterator > | std::experimental::fundamentals_v2::pmr::smatch
typedef match_results< const wchar_t * > | std::experimental::fundamentals_v2::pmr::wcmatch
typedef match_results< wstring::const_iterator > | std::experimental::fundamentals_v2::pmr::wsmatch

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/regex.

## Typedef Documentation

## cmatch

typedef match_results<const char*> std::experimental::fundamentals_v2::pmr::cmatch

Definition at line 59 of file experimental/regex.

## match_results

template<typename _BidirectionalIterator>

using std::experimental::fundamentals_v2::pmr::match_results

Definition at line 56 of file experimental/regex.

## smatch

typedef match_results<string::const_iterator> std::experimental::fundamentals_v2::pmr::smatch

Definition at line 61 of file experimental/regex.

## wcmatch

typedef match_results<const wchar_t*> std::experimental::fundamentals_v2::pmr::wcmatch

Definition at line 60 of file experimental/regex.

## wsmatch

typedef match_results<wstring::const_iterator> std::experimental::fundamentals_v2::pmr::wsmatch

Definition at line 62 of file experimental/regex.